#ifndef CGPERF_HASH_H
#define CGPERF_HASH_H
#include "c_fixing.h"
/*------------------------------------------------------------------------------------------------*/
#include "namespace/hash.h"
/*------------------------------------------------------------------------------------------------*/
static u32 hashpjw(u8 *string, u32 len);
/*------------------------------------------------------------------------------------------------*/
#define EPILOG
#include "namespace/hash.h"
#undef EPILOG
/*------------------------------------------------------------------------------------------------*/
#endif
